'
' DotNetNukeŽ - http://www.dotnetnuke.com
' Copyright (c) 2002-2006
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'
Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Namespace DotNetNuke.Modules.IWeb

    Partial Public Class WebService

        <WebMethod(Description:=" Encrypt Data *DotNetNuke* |IWEB Core| #IWEB Misc# !Portal! "), SoapHeader("IWebCredentials")> _
        Public Function EncryptData(ByVal UnEncryptedData As String, ByVal Key As String) As String
            Dim strResponse As String = ""
            Try
                Dim objIWebAuthendication As New IWebAuthendication(IWebCredentials)
                If Not objIWebAuthendication.ValidAndAuthorized() Then
                    Return "Not Authorized"
                End If

                Dim objIWebEncryption As New IWebEncryption()
                strResponse = objIWebEncryption.Encryption(UnEncryptedData, Key)
                strResponse = HttpUtility.UrlEncode(strResponse)
            Catch ex As Exception
                strResponse = ex.Message
            End Try
            Return strResponse
        End Function
        <WebMethod(Description:=" Un-Encrypt Data *DotNetNuke* |IWEB Core| #IWEB Misc# !Portal! "), SoapHeader("IWebCredentials")> _
        Public Function UnEncryptData(ByVal EncryptedData As String, ByVal Key As String) As String
            Dim strResponse As String = ""
            Try
                Dim objIWebAuthendication As New IWebAuthendication(IWebCredentials)
                If Not objIWebAuthendication.ValidAndAuthorized() Then
                    Return "Not Authorized"
                End If

                Dim objIWebEncryption As New IWebEncryption()
                strResponse = objIWebEncryption.DeCrypt(HttpUtility.UrlDecode(EncryptedData), Key).ToString
                strResponse = HttpUtility.UrlEncode(strResponse)
            Catch ex As Exception
                strResponse = ex.Message
            End Try
            Return strResponse
        End Function

    End Class

End Namespace
